Will 1Password Version 6.8.9 work with Safari 12 on Mac OS?

Options
StewIvester
StewIvester
Community Member

Will 1Password Version 6.8.9 work with new Safari 12 on Mac OS?


1Password Version: 6.8.9
Extension Version: 6.8.9
OS Version: 10.13.6
Sync Type: Not Provided
Referrer: forum-search:Will 1Password Version 6 Safari 12 on Mac OS

Comments

  • Lars
    Lars
    1Password Alumni
    Options

    Welcome to the forum, @StewIvester! The answer is yes, but it's a bit more complicated than that. With Safari 12, Apple have chosen to move away from these .safariextz-style extensions, in favor of Safari App Extensions. This is what the upcoming 7.2 release of 1Password 7 for Mac will include. It should provide a more stable and secure experience, overall.

    Right now, Safari 12 does still work with our traditional 1Password extension, currently at version 4.7.3.90. But Apple are no longer alowing apps to install such extensions from anywhere except the Safari Extensions Gallery (where you're taken if you click the link for Safari Extensions in pre-Safari-12 versions of Safari). At some point, Apple are likely to retire the Safari Extensions Gallery, and when that happens you'll no longer be able to download/install 4.7.3.90, which is what all versions of 1Password prior to 7.2 use for Safari. This will mean you'll need to either

    1. Use a different browser: both Chrome and Firefox continue to use 4.7.3.90 (and presumably future versions of that branch of our extension as well).
    2. Not install Safari 12 (which I wouldn't recommend).
    3. Upgrade to 1Password 7 for Mac

    You should be OK until maybe December (that's a wild guess, not based on any hard knowledge), but ultimately there's no path that allows you to continue using the latest-and-greatest versions of macOS and Safari without upgrading to the current 1Password. If you stay with macOS 10.13 (“High Sierra”) and Safari 11, you can continue to use 1Password 6 for Mac...but we can't recommend that as any kind of long-term strategy.

  • WorldWizard
    WorldWizard
    Community Member
    Options

    In the meanwhile, if you're stuck with a non-functional extension for Safari, go here and install the one in the gallery. Once v7.2 is released, this workaround will no longer be necessary, as stated above.

  • @WorldWizard,

    7.2 is also currently in the beta channel for 1Password updates.

  • MacClaus
    MacClaus
    Community Member
    Options

    Hi,
    I have purchased a license from 1Password (not from the App Store). I have heard Safari no longer supports extensions from outside the App Store. How the extension 4.7.3 works in Mojave?


    1Password Version: Not Provided
    Extension Version: Not Provided
    OS Version: Not Provided
    Sync Type: Not Provided

  • @MacClaus,

    see Lars' answer above.

  • MacClaus
    MacClaus
    Community Member
    edited September 2018
    Options
  • AGAlumB
    AGAlumB
    1Password Alumni
    Options

    :) :+1:

  • StewIvester
    StewIvester
    Community Member
    Options

    Thanks - it worked great - Safari 12 with 1password 6 working perfectly!

  • Lars
    Lars
    1Password Alumni
    Options

    @StewIvester - glad to hear it. :)

This discussion has been closed.